> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pipeline usage

> Returns table-level usage statistics for the specified pipeline within a given time range. Requires 'from' and 'to' query parameters in RFC3339 format.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /pipelines/{uuid}/usage
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.88
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /pipelines/{uuid}/usage:
    get:
      tags:
        - Pipelines
      summary: Get pipeline usage
      description: >-
        Returns table-level usage statistics for the specified pipeline within a
        given time range. Requires 'from' and 'to' query parameters in RFC3339
        format.
      operationId: pipeline_usage
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
        - in: query
          name: from
          required: true
          schema:
            format: date-time
            type: string
        - in: query
          name: to
          required: true
          schema:
            format: date-time
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterPipelineUsageResponse'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterPipelineUsageResponse:
      properties:
        tableStats:
          items:
            $ref: '#/components/schemas/RouterPipelineTableStats'
          type: array
      required:
        - tableStats
      type: object
    RouterPipelineTableStats:
      properties:
        count:
          format: int64
          type: integer
        latency:
          type:
            - 'null'
            - number
        tableName:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````